                   ****************************************

                           HACKING ARPANET -- PART I

                                      BY

                                  THE SOURCE

                                      OF

                          -=>*THE LISTENING POST*<=-

                                 408-xxx-xxxx


                    ***************************************

INTRODUCTION
------------

ARPANET (ADVANCED RESEARCH PROJECTS AGENCY NETWORK) WAS FUNDED BY THE
DEPARTMENT OF DEFENSE (DOD) IN 1969 AS AN EXPERIMENT IN SHARING THE RESOURCES
OF MANY DIFFERENT TYPES OF COMPUTERS.  EARLIER DOD SYSTEMS (AUTODIN, FOR
EXAMPLE), RELIED ON LINKING COMPUTERS THAT WERE THE SAME MAKE, USING THE SAME
OPERATING SYSTEMS.  WORK ON ARPANET WAS PERFORMED UNDER CONTRACT BY MANY
ORGANIZATIONS, INCLUDING EDUCATIONAL INSTITUTIONS, AND TODAY IT IS
UNIVERSITIES
WHO ARE THE PRIMARY NETWORK USERS.

     ONCE LOGGED ONTO ARPANET A USER MAY CONFERENCE WITH, OR USE THE PROGRAM
RESOURCES AND AVAILABLE DATA FILES OF ANY OTHER COMPUTER THAT IS ON THE
SYSTEM.
HUNDREDS OF COMPUTERS ARE AVAILABLE OVER ARPANET INCLUDING COMPUTERS AT
NON-UNIVERSITY RESEARCH CENTERS LIKE RAND CORPORATION, SRI AND OTHER
MILITARY-INDUSTRIAL THINK TANKS.

     UNTIL LATE 1983 AND EARLY 1984, MILITARY COMPUTERS WERE ALSO A MAJOR
ARPANET RESOURCE.  WITH THE THREAT FROM YOUNG COMPUTER "HACKERS", HOWEVER, THE
MILITARY COMPUTERS HAVE MOVED TO THEIR OWN ARPANET-LIKE NETWORK CALLED MILNET.
THE TWO NETWORKS ARE NOW PART OF WHAT IS KNOWN AS THE "DDN" OR DEFENSE DATA
NETWORK.  ARPANET NODES MAY BE USED TO DIAL-UP MILNET NODES AS LONG AS THE
CALLER CAN ENTER THE PROPER AUTHORIZATION CODE AND PASSWORD ONCE CONNECTED TO
THE MILNET NODE.  MILNET USERS CAN, LIKEWISE, USE ARPANET RESOURCES.

     ARPANET IS ALSO USED AS A RESOURCE FOR STUDENTS AS WELL AS COMPUTER
SCIENTISTS AND ENGINEERING SPECIALISTS.  BECAUSE OF THE VARIETY OF USERS, THE
SYSTEM TENDS TO BE VERY TALKATIVE ABOUT ITSELF AND VERY HELPFUL. 
PERIODICALLY,
HOWEVER, CERTAIN ARPANET NODES DECREASE THE AMOUNT OF HELP THAT THEY PROVIDE
ONLINE.

     DESPITE THE FACT THAT DOZENS OF DIFFERENT TYPES OF COMPUTERS ARE
INTERFACED IN ARPANET, IT IS A SIMPLE SYSTEM TO USE BECAUSE ALL NODES (CALLED
TIP'S), USE FUNDAMENTALLY THE SAME OPERATING SYSTEMS ON EITHER DEC (DIGITAL
EQUIPMENT CORPORATION) MODELS 20 OR 10 MAINFRAMES.  THE OPERATING SYSTEM IS
CALLED THE "EXEC" AND IS CALLED THE TOPS-20 MONITOR (ON THE DEC 20).

     ACCESS NUMBERS FOR LOCAL ARPANET NODES CAN BE FOUND FROM USERS OF CERTAIN
BULLETIN BOARDS, BY CALLING THE SYSTEM MANAGER, OR BY ASKING SOMEONE WHO
ATTENDS A MAJOR UNIVERSITY.

GETTING ON
----------

     ONCE CONNECTED TO THE NODE, HIT <CR> ONCE FOR 300 BAUD OR TWICE IF YOU
ARE
USING 1200 BAUD.  THE EXEC THEN RECOGNIZES YOU AND DISPLAYS A WELCOME MESSAGE
AS BELOW:

WELCOME TO ARPANET
**FOR OFFICIAL USE ONLY**
CALL THE NIC AT 1-800-235-3155 FOR TAC USER PROBLEMS.
TYPE @N FOR NEWS.
SU TAC 110 #:13

     AT THIS POINT THERE ARE ONLY TWO COMMANDS THAT THE EXEC WILL RECOGNIZE:
@N FOR NEWS, AND @O FOR ONTO THE HOST SYSTEM.  START BY CHECKING OUT THE NEWS.
THE NODE YOU HAVE REACHED MAY BE WILLING TO BE VERY HELPFUL AND INFORMATIVE.

NEWS FROM THE EXECUTIVE
-----------------------

     A SAMPLE EXECUTIVE SESSION FOLLOWS BELOW:

@N  <USER ENTRY>
TCP TRYING...OPEN
SRI-NIC, TOPS-20 MONITOR 5.3(5731)-1
*  FOR TACNEWS, ENTER:  TACNEWS<RETURN>
*  TO FIND THE HOST ADMINISTRATOR FOR HOST XY-Z, ENTER:  WHOIS XY-Z<RETURN>
*  REPORT SYSTEM PROBLEMS TO ACTION@SRI-NIC OR CALL (415) 859-5921
THERE ARE 7+12 JOBS WITH LOAD AVERAGE  1.13

@TACNEWS  <EXEC PROVIDES @ PROMPT, USER REPLIES "TACNEWS">

SRI-NIC TACNEWS 1.3(15)-2 ON SUNDAY, 23-SEP-84 11:13PM-PDT
SEND BUGS OR COMMENTS TO TACNEWS@SRI-NIC.ARPA
  1. ANNOUNCEMENTS (UPDATED 14-SEP-84)
* 2. DIAL-UPS (MILNET TAC TELEPHONE NUMBERS, UPDATED 17-SEP-84)
* 3. LOGIN (HELP WITH TAC LOGIN, UPDATED 24-AUG-84)
  4. NEWSLETTERS (DDN NEWS, UPDATED 24-JAN-84)
  5. BULLETINS (DDN MANAGEMENT BULLETINS, UPDATED 17-SEP-84)
TYPE A MENU NUMBER ('HELP<CR>' FOR MORE INFO): HELP

THE NETNEWS PROGRAM LETS YOU ACCESS SETS OF NEWS FILES AT THE DDN NETWORK
INFORMATION CENTER (NIC).  SO FAR, YOU HAVE ENTERED THE PROGRAM AND SEEN A
MENU
OF AVAILABLE SETS AND DOCUMENTS.  DOCUMENTS ARE MARKED IN THE MENU WITH A '*'
IN THE FIRST COLUMN.  TO VIEW A DOCUMENT, OR BROWSE THROUGH A SET, TYPE ITS
MENU NUMBER FOLLOWED BY CARRIAGE RETURN, <CR>.  IF YOU CHOOSE A SET, YOU WILL
THEN BE SHOWN A SUMMARY OF THE MOST RECENT ISSUES, AND BY TYPING ITS MENU
NUMBER MAY READ THE ITEM.  TYPE 'TOP<CR> ' AT ANY TIME TO GET BACK TO THE
FIRST
MENU.

USEFUL COMMANDS ARE:
        ?               TO SEE A LIST OF COMMANDS
        ^O (CONTROL-O)  TO STOP THE TYPEOUT OF AN ISSUE
        HELP            TO GET MORE INFORMATION
        TOP             TO RETURN TO THE BEGINNING MENU
        QUIT            TO EXIT

TERMINATE ALL COMMANDS, EXCEPT '?', WITH A CARRIAGE RETURN, <CR>.

<MONITOR THEN RETURNS TO THE MENU AND WE TYPE QUIT SO WE CAN LEARN WHAT ELSE
IS
AVAILABLE TO SOMEONE WHO HAS NOT LOGGED IN.>

KILLED JOB 34, USER TACNEWS, ACCOUNT QUERY, TTY 110, AT 23-SEP-84 23:15:47
 USED 0:00:01 IN 0:01:53
HOST CLOSING CONNECTION
CLOSED

GETTING HELP
------------

<EACH FUNCTION IS TREATED AS AN UNIQUE JOB.  THE HELP COMMAND IS PART OF THE
QUERY PROGRAM.  A LOG REPORT IS MADE WHEN THE USER QUITS.  THE USER MUST THEN
BEGIN ALL OVER AGAIN WITH THE @N PROMPT, READ THE HERALD AGAIN, AND THEN
PROCEED TO OTHER OPTIONS WHEN THE SYSTEM RESPONDS WITH ITS OWN @ PROMPT.  WE
SKIP THESE REDUNDANCIES IN THIS EXAMPLE.>

@HELP  <USER ENTERS HELP>
TO SEE A LIST OF YOUR OPTIONS FOR COMMANDS OR ARGUMENTS, TRY TYPING QUESTION
MARK.  TYPING "?" TO THE "@" PROMPT GIVES YOU A LIST OF THE COMMANDS THE EXEC
UNDERSTANDS.  TYPING "?" AFTER ONE OF THESE COMMANDS TELLS YOU WHAT YOU CAN
TYPE NEXT.  FOR EXAMPLE,
        @HELP ?
WILL SHOW YOU A LIST OF SOME OF THE MORE IMPORTANT TOPICS FOR WHICH HELP IS
AVAILABLE.  THE QUESTION MARK INVOKES A HELP MESSAGE WITHOUT AFFECTING WHAT
YOU'VE TYPED SO FAR; YOU CAN GO ON TYPING THE COMMAND JUST AS IF YOU HADN'T
TYPED "?".  ALSO, THE QUESTION MARK IS READ IMMEDIATELY; YOU DON'T HAVE TO
TYPE
RETURN.

IF YOU MAKE A MISTAKE WHILE TYPING A COMMAND, USE BACKSPACE TO DELETE THE LAST
CHARACTER YOU TYPED.  CTRL/W WILL DELETE YOUR LAST WORD, AND CTRL/U WILL
DELETE
YOUR ENTIRE COMMAND LINE, ALLOWING YOU TO START AGAIN.  IF YOU FEEL HOPELESSLY
LOST, TYPIN G CTRL/C TWICE WILL RETURN YOU TO THE EXEC "@".

     @HELP ? RETURN FOR GENERAL HELP
        OR * TO SEE ALL TOPICS
        OR THE NAME OF AN EXEC COMMAND
        OR ONE OF THE FOLLOWING:
ATTACH     BLANK     BREAK     DAYTIME     ECHO
FINGER     HELP     INFORMATION     KK     LOGIN
LOGOUT     NIC     SET     SYSTAT     TACNEWS
TERMINAL     UNATTACH     WHOIS

<ABOVE IS A LIST OF THE HELP FILES AVAILABLE AT THIS PARTICULAR SESSION.  AT
OTHER TIMES EITHER MORE OR FEWER FILES ARE AVAILABLE.>

(PART II OF HACKING ARPANET BY THE SOURCE EXPLORES VARIOUS EXEC-LEVEL
COMMANDS.))

Downloaded from..

   The Lost City of Atlantis
  .     _ . __ |\  _  .
.   .__ =| |[] |# |# ._  .
  ...##.=|.|[].|#:|#.|=|...
- -- --- ------------ --- -  - 
        703 - xxx - xxxx


